## sugar-activity-paint 70

=== debian/changelog ===
sugar-activity-paint (70) belenos; urgency=low

  * 70 release

 -- Ruben Rodriguez <ruben@trisquel.info>  Sat, 17 Oct 2020 15:22:09 +0000

## sugar-activity-paint 70+9.0trisquel1

=== debian/changelog ===
sugar-activity-paint (70+9.0trisquel1) nabia; urgency=low

  * 70+9.0trisquel1 release

 -- Ruben Rodriguez <ruben@trisquel.info>  Tue, 02 Nov 2021 12:06:44 +0000

## sugar-activity-paint 70+10.0trisquel1

=== debian/changelog ===
sugar-activity-paint (70+10.0trisquel1) nabia; urgency=low

  * 70+10.0trisquel1 release

 -- Ruben Rodriguez <ruben@trisquel.info>  Wed, 27 Oct 2021 01:04:39 +0000

## sugar-activity-paint 70+11.0trisquel1

=== usr/share/sugar/activities/Paint.activity/fill/Makefile ===
#Copyright 2007, NATE-LSI-EPUSP

#Oficina is developed in Brazil at Escola Politécnica of 
#Universidade de São Paulo. NATE is part of LSI (Integrable
#Systems Laboratory) and stands for Learning, Work and Entertainment
#Research Group. Visit our web page: 
#www.nate.lsi.usp.br
#Suggestions, bugs and doubts, please email oficina@lsi.usp.br

#Oficina is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License 
#as published by the Free Software Foundation version 2 of 
#the License.

#Oficina is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#General Public License for more details.

#You should have received a copy of the GNU General Public
#License along with Oficina; if not, write to the
#Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, 
#Boston, MA  02110-1301  USA.
#The copy of the GNU General Public License is found in the 
#COPYING file included in the source distribution.


#Authors:

#Joyce Alessandra Saul               (joycealess@gmail.com)
#Andre Mossinato                     (andremossinato@gmail.com)
#Nathalia Sautchuk Patrício          (nathalia.sautchuk@gmail.com)
#Pedro Kayatt                        (pekayatt@gmail.com)
#Rafael Barbolo Lopes                (barbolo@gmail.com)
#Alexandre A. Gonçalves Martinazzo   (alexandremartinazzo@gmail.com)

CFLAGS = $(shell python-config --cflags) \
		-fPIC

LDFLAGS = $(shell python-config --libs)

ARCH_OUT = $(shell arch)

ARCH = $(shell if [ -z "$(shell arch | grep arm)" ]; then \
        echo $(ARCH_OUT) | grep 64 >/dev/null && echo linux64 || echo linux32; \
    else \
        echo $(ARCH_OUT); \
    fi)

PYTHON_VERSION = $(shell python -c 'import sys; print "%d%d" % sys.version_info[0:2]')
LIB_DIR = $(ARCH)_$(PYTHON_VERSION)

all: _fill.so
	rm -rf $(LIB_DIR)
	mkdir $(LIB_DIR)
	strip -s _fill.so
	mv _fill.so $(LIB_DIR)/
	touch $(LIB_DIR)/__init__.py

_fill.so: fill.o eggfill.o fillmodule.o
	$(LD) $(LDFLAGS) -shared $^ -o $@

#DEFS=`pkg-config --variable=defsdir pygtk-2.0`
# Generate the C wrapper
fill.c: fill.defs fill.override
	--override fill.override \
	fill.defs > $@

clean:
	rm -f *.so *.o fill.c *~

=== debian/changelog ===
sugar-activity-paint (70+11.0trisquel1) aramo; urgency=low

  * 70+11.0trisquel1 release

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 04 Jul 2022 21:25:20 +0000

=== debian/control ===
Source: sugar-activity-paint
Section: games
Priority: optional
Maintainer: Ruben Rodriguez <ruben@trisquel.info>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2

Package: sugar-activity-paint
Architecture: all
Description: sugar-activity-paint
 An activity for the Sugar learning environment.

## sugar-activity-paint 71trisquel1

=== debian/changelog ===
sugar-activity-paint (71trisquel1) ecne; urgency=low

  * 71trisquel1 release

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 23 Apr 2025 02:14:31 +0000
